
Foreman - Bug #1788

Could not find value for $confdir

07/27/2012 05:03 PM - Lee Lowder

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I ran into this issue, and after doing some research I found this thread on the Puppet Users mailing list

1

. It does not look like the OP

ever filed an issue, and so I am doing so now, since I am having the same issue.

I have a gist with a copy of my puppet.conf, settings.yaml and the error text

2

.

I am using:

Ubuntu 12.04 (32bit, 'server')

foreman       1.1-~nightlybuild13433410 installed from packages (testing the apt packages)

foreman-proxy 1.1-~nightlybuild13433420

puppet        3.0.0-0.1rc3puppetlabs1

puppetmaster  3.0.0-0.1rc3puppetlabs1

[1] https://groups.google.com/d/topic/puppet-users/pYdk5ChOUa4/discussion

[2] https://gist.github.com/3190017

Related issues:

Related to Smart Proxy - Bug #1761: confdir appears to be broken again in 1.0rc3 Closed 07/17/2012

History

#1 - 07/27/2012 05:08 PM - Lee Lowder

Just for easier reference, here is the puppet issue referenced in the mailing list thread.

https://projects.puppetlabs.com/issues/14609

And the fix:

https://github.com/puppetlabs/puppet/commit/0cea47ec90e77e81c27ffbedbd46bb5357a45d66

#2 - 07/31/2012 06:57 AM - Ohad Levy

- Status changed from New to Duplicate
